Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZ\Publish\Core\FieldType\Checkbox\Value Class Reference

Value for Checkbox field type. More...

Inheritance diagram for eZ\Publish\Core\FieldType\Checkbox\Value:

## Public Member Functions
| __construct ($boolValue=false)
| Construct a new Value object and initialize it $boolValue. More...
| __toString ()
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Public Attributes
| $bool

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Value for Checkbox field type.

Definition at line 14 of file Core/FieldType/Checkbox/Value.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\FieldType\Checkbox\Value::__construct | ( |  | $boolValue = `false` | ) |

Construct a new Value object and initialize it $boolValue.

Parameters

  bool | $boolValue |

Definition at line 28 of file Core/FieldType/Checkbox/Value.php.

## Member Function Documentation

## ◆ __toString()

eZ\Publish\Core\FieldType\Checkbox\Value::__toString | ( |  | ) |

See also
  \eZ\Publish\Core\FieldType\Value

Returns
  string

Reimplemented from eZ\Publish\Core\FieldType\Value.

Definition at line 38 of file Core/FieldType/Checkbox/Value.php.

## Member Data Documentation

## ◆ $bool

eZ\Publish\Core\FieldType\Checkbox\Value::$bool

Definition at line 21 of file Core/FieldType/Checkbox/Value.php.

The documentation for this class was generated from the following file:

- Core/FieldType/Checkbox/Value.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.